
with Warborg.Nation.Manager;

with Warborg.User;

with Warborg.Weapon.Manager;

with Warborg.World;

with Warborg.World.Map;

with Ada.Calendar;
use Ada;
with Warborg.Common;

use Warborg.World;
package Warborg.Joshua is
   
   use Warborg.Common, Warborg.Common.My_Map;
   
      type LertCon_Type is (DEFCON_1,
			    DEFCON_2,
			    DEFCON_3,
			    DEFCON_4,
			    DEFCON_5,
			    AD_EMERGENCY,
			    D_EMERGENCY,
			    NO_EMERGENCY);
    subtype Defcon_Type is LertCon_Type range DEFCON_1..DEFCON_5;      
   
   type Wopr_Attributes_type is
      record
	 Logname            : User.Logname_Type;
	 GPS_Coordonate     : World.GPS_Coordonates_Type;
	 Source             : Map_Coordonates_Type;
	 
	 Charge             : Weapon.Charge_Type := Weapon.Charge_Type'first;
	 Start_Time         : Calendar.Time := Calendar.Clock;	 
	 Stats_Time         : Calendar.Time := Calendar.Clock;	 	 	 
	 
	 
	 Destroyed_Wopr     : Natural := 0;
         Earned_Missiles    : Natural := 0;
	 Destroyed_Missiles : Natural := 0;	 
	 
	 Offensive_Missiles   : Natural := 0;
	 Enemy_Missiles     : Natural := 0;
	 Defense_Missiles    : Natural := 0;
	 Side                : Side_Type := Ouest;
      end record;
   

   
   type Joshua_Type is tagged
      record
	 Wopr_Attributes    : Wopr_Attributes_Type;      	 
	 Populations        : Nation.Manager.Vector;	 
	 Weapons            : Weapon.Manager.Vector;	 
	 Enemy              : Weapon.Manager.Vector;	 	 
	 Defcon             : Defcon_Type := Defcon_5;
	 Side               : Side_Type := Ouest;
      end record;
   
   
   
end Warborg.Joshua;
