generic
   
   Max_X_Coordonate : Float := 800.0;
   Max_y_Coordonate : Float := 600.0;

package Warborg.World.Map is   
   
   
   
   subtype Map_X_Coordonate_Type is float range 0.0..Max_X_Coordonate;
   subtype Map_Y_Coordonate_Type is float range 0.0..Max_Y_Coordonate;
   
   Lon_Unit : constant Float := Float'Rounding((Max_X_Coordonate/(360.0*60.0*60.0)) * 1000000.0) / 1000000.0;
   Lat_Unit : constant Float := Float'Rounding((Max_Y_Coordonate/(180.0*60.0*60.0)) * 1000000.0) / 1000000.0;
   
   
   type Map_Coordonates_Type is
      record
         X : Map_X_Coordonate_Type := 0.0;
         Y : Map_Y_Coordonate_Type := 0.0;
      end record;      
   
   function To_Map_Coordonates(GPS_Coordonates : in Gps_Coordonates_Type) return Map_Coordonates_Type;
   
   
end Warborg.World.Map;
