with Ada.Command_Line, Ada.Text_Io;
use Ada;

with Warborg.Terminal;
procedure Wopr is
   
   
   
   

   procedure Usage is

   begin
      Text_Io.Put_Line("usage : " & Command_Line.Command_Name & " [ Hostname ] [ Logname ]");
   end Usage;

  Args_Error : exception;

     
begin
   
   if Command_Line.Argument_Count = 2 then
      Warborg.Terminal.Open(Command_Line.Argument(1), Command_Line.Argument(2));
   elsif Command_Line.Argument_Count = 1 then
      Warborg.Terminal.Open(Command_Line.Argument(1), "");
   else
      Warborg.Terminal.Open("", "");      
   end if;
exception

   when Args_Error =>
      Usage;   
end Wopr;
