
with Warborg.Common;
with Warborg.World;

package Warborg.Nation is
   use Common, Common.My_Map;
   use Warborg.World;
   
   subtype Nation_Name_Type is String(1..200);
   
   type Nation_Type is tagged
      record
	 --Name       : Nation_Name_Type := (others => Character'Val(32));
	 Longitude  : Decimal_Longitude_Type := 0.0;
	 Latitude   : Decimal_Latitude_Type := 0.0;
	 GPS_Coordonates : GPS_Coordonates_Type;
	 Position   : Common.My_Map.Map_Coordonates_Type;
	 Population : Long_Long_Integer := 0;
      end record;      
   
   function "=" (Left, Right : in Nation_Type) return Boolean;
   
   type Index_Type is new Long_Integer range 1..Long_integer'Last;
   
end Warborg.Nation;
