with Ada.Text_Io;
use Ada;
package body Warborg.User.Util is
   
   procedure Get_Passwd(Passwd : out Message_Digest) is
   type String_Access is access String;
   Buffer, Line : String_Access;            
   begin      
      Line := new String ' ("");
      loop
	 declare
	    Char : Character;
	 begin
	    Text_Io.Get_Immediate(Char);
	    case Char is
	       when Character'Val(10) =>
		  Passwd := Digest(Line.all);
		  exit;
	       when Character'Val(127) =>
		  if Line'Length > 0 then
		     Buffer := new String ' (Line(Line'First..Line'Last-1));
		     Line := Buffer;		     
		  end if;
	       when others =>
		  Buffer := new String ' (Line.all & Char);
		  Line := Buffer;
	    end case;	       
	 end;
      end loop;
   end Get_Passwd;

end Warborg.User.Util;
