
with Warborg.Common;
with Warborg.World;
package Warborg.Weapon is
   
   subtype Charge_Type is Float range 0.0..Float'last;
   use Warborg.Common, Warborg.Common.My_Map;
   type Missile_Attributes_Type is
      record
	 Charge   : Charge_type := Charge_Type'First;
	 Position   : World.Gps_Coordonates_Type;
	 Target : World.Gps_Coordonates_Type;	 	 
	 Source : Map_Coordonates_Type;
	 Cible  : Map_Coordonates_Type;
      end record;
	 
   type Missile_Type is
      record         	 
         
         Missile_Attributes : Missile_Attributes_Type;
      end record;
   
   function "=" (Left, Right : in Missile_Type) return Boolean;
   
   
   subtype Missile_Vector_Index_Type is Positive range 1..1_000_000;
   
end Warborg.Weapon;
