with Ada.Finalization;
with Gnat.SHA1;
package Warborg is
   type String_Access is access String;
   procedure Free_Ptr(Ptr : in out String_Access);
   
   type Command_Type is
     
     (Ctrl_User,
      Login,
      
      Logon,      
      Wopr_Create,
      Wopr_Get,
      Missile_Create,
      Launch_One,
      Launch_All,
      Enemy_get);
      
end Warborg;
